org.eclipse.rdf4j.query.parser.serql.ast

## Interface SyntaxTreeBuilderConstants

- All Known Implementing Classes:
    SyntaxTreeBuilder, SyntaxTreeBuilderTokenManager

      public interface SyntaxTreeBuilderConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL` RegularExpression Id.
    `static int` | `ALPHA` RegularExpression Id.
    `static int` | `AND` RegularExpression Id.
    `static int` | `ANY` RegularExpression Id.
    `static int` | `AS` RegularExpression Id.
    `static int` | `ASC` RegularExpression Id.
    `static int` | `BASECHAR` RegularExpression Id.
    `static int` | `BNODE` RegularExpression Id.
    `static int` | `BOUND` RegularExpression Id.
    `static int` | `BY` RegularExpression Id.
    `static int` | `CASE` RegularExpression Id.
    `static int` | `COMBINING_CHAR` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `CONSTRUCT` RegularExpression Id.
    `static int` | `CONTEXT` RegularExpression Id.
    `static int` | `DATATYPE` RegularExpression Id.
    `static int` | `DATATYPED_LITERAL` RegularExpression Id.
    `static int` | `DECIMAL` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DESC` RegularExpression Id.
    `static int` | `DIGIT` RegularExpression Id.
    `static int` | `DISTINCT` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ` RegularExpression Id.
    `static int` | `ESCAPED_CHAR` RegularExpression Id.
    `static int` | `EXISTS` RegularExpression Id.
    `static int` | `EXTENDER` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FROM` RegularExpression Id.
    `static int` | `GE` RegularExpression Id.
    `static int` | `GT` RegularExpression Id.
    `static int` | `HEX` RegularExpression Id.
    `static int` | `IDEOGRAPHIC` RegularExpression Id.
    `static int` | `IGNORE` RegularExpression Id.
    `static int` | `IN` RegularExpression Id.
    `static int` | `INTERSECT` RegularExpression Id.
    `static int` | `ISBNODE` RegularExpression Id.
    `static int` | `ISLITERAL` RegularExpression Id.
    `static int` | `ISRESOURCE` RegularExpression Id.
    `static int` | `ISURI` RegularExpression Id.
    `static int` | `LABEL` RegularExpression Id.
    `static int` | `LANG` RegularExpression Id.
    `static int` | `LANG_LITERAL` RegularExpression Id.
    `static int` | `LANG_TAG` RegularExpression Id.
    `static int` | `LANGMATCHES` RegularExpression Id.
    `static int` | `LBRACE` RegularExpression Id.
    `static int` | `LBRACK` RegularExpression Id.
    `static int` | `LE` RegularExpression Id.
    `static int` | `LETTER` RegularExpression Id.
    `static int` | `LIKE` RegularExpression Id.
    `static int` | `LIMIT` RegularExpression Id.
    `static int` | `LOCALNAME` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `LT` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `NAMESPACE` RegularExpression Id.
    `static int` | `NCNAME` RegularExpression Id.
    `static int` | `NCNAME_CHAR` RegularExpression Id.
    `static int` | `NE` RegularExpression Id.
    `static int` | `NEG_INTEGER` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NULL` RegularExpression Id.
    `static int` | `NUM` RegularExpression Id.
    `static int` | `OFFSET` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `ORDER` RegularExpression Id.
    `static int` | `POS_INTEGER` RegularExpression Id.
    `static int` | `PREFIX_NAME` RegularExpression Id.
    `static int` | `QNAME` RegularExpression Id.
    `static int` | `RBRACE` RegularExpression Id.
    `static int` | `RBRACK` RegularExpression Id.
    `static int` | `REDUCED` RegularExpression Id.
    `static int` | `REGEX` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `SAFE_CHAR` RegularExpression Id.
    `static int` | `SAMETERM` RegularExpression Id.
    `static int` | `SCHEME` RegularExpression Id.
    `static int` | `SELECT` RegularExpression Id.
    `static int` | `SEMICOLON` RegularExpression Id.
    `static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
    `static int` | `STAR` RegularExpression Id.
    `static int` | `STR` RegularExpression Id.
    `static int` | `STRING` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRUE` RegularExpression Id.
    `static int` | `UNICODE_ESC` RegularExpression Id.
    `static int` | `UNION` RegularExpression Id.
    `static int` | `URI` RegularExpression Id.
    `static int` | `USING` RegularExpression Id.
    `static int` | `WHERE` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### SINGLE_LINE_COMMENT

          static final int SINGLE_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMICOLON

          static final int SEMICOLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACE

          static final int LBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACE

          static final int RBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACK

          static final int LBRACK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACK

          static final int RBRACK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### USING

          static final int USING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          static final int NAMESPACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SELECT

          static final int SELECT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONSTRUCT

          static final int CONSTRUCT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DISTINCT

          static final int DISTINCT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REDUCED

          static final int REDUCED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FROM

          static final int FROM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONTEXT

          static final int CONTEXT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHERE

          static final int WHERE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ORDER

          static final int ORDER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BY

          static final int BY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASC

          static final int ASC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DESC

          static final int DESC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LIMIT

          static final int LIMIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OFFSET

          static final int OFFSET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAMETERM

          static final int SAMETERM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LIKE

          static final int LIKE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IGNORE

          static final int IGNORE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CASE

          static final int CASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REGEX

          static final int REGEX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LABEL

          static final int LABEL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANG

          static final int LANG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANGMATCHES

          static final int LANGMATCHES

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DATATYPE

          static final int DATATYPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LOCALNAME

          static final int LOCALNAME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STR

          static final int STR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BOUND

          static final int BOUND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ISRESOURCE

          static final int ISRESOURCE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ISBNODE

          static final int ISBNODE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ISURI

          static final int ISURI

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ISLITERAL

          static final int ISLITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AS

          static final int AS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNION

          static final int UNION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTERSECT

          static final int INTERSECT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ANY

          static final int ANY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IN

          static final int IN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXISTS

          static final int EXISTS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANG_LITERAL

          static final int LANG_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DATATYPED_LITERAL

          static final int DATATYPED_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING

          static final int STRING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAFE_CHAR

          static final int SAFE_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ESCAPED_CHAR

          static final int ESCAPED_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNICODE_ESC

          static final int UNICODE_ESC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANG_TAG

          static final int LANG_TAG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### URI

          static final int URI

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SCHEME

          static final int SCHEME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QNAME

          static final int QNAME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BNODE

          static final int BNODE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PREFIX_NAME

          static final int PREFIX_NAME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### POS_INTEGER

          static final int POS_INTEGER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NEG_INTEGER

          static final int NEG_INTEGER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL

          static final int DECIMAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX

          static final int HEX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ALPHA

          static final int ALPHA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NUM

          static final int NUM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NCNAME

          static final int NCNAME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NCNAME_CHAR

          static final int NCNAME_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BASECHAR

          static final int BASECHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDEOGRAPHIC

          static final int IDEOGRAPHIC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMBINING_CHAR

          static final int COMBINING_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXTENDER

          static final int EXTENDER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.